Bug 843778 - mkdumprd spits message like "no record for 'mapper/mpath0p3' in database" when dump to multipath target
mkdumprd spits message like "no record for 'mapper/mpath0p3' in database" whe...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.8
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Vivek Goyal
Guangze Bai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 07:03 EDT by Guangze Bai
Modified: 2015-02-08 16:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 21:07:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guangze Bai 2012-07-27 07:03:21 EDT
Description of problem:

As summary said,

# grep -v ^# /etc/kdump.conf 
ext3 /dev/mapper/mpath0p3     <--- multipath target
default shell
core_collector makedumpfile -c --message-level 1

# service kdump restart
Stopping kdump:                                            [  OK  ]
No kdump initial ramdisk found.                            [WARNING]
Rebuilding /boot/initrd-2.6.18-308.el5kdump.img
no record for 'mapper/mpath0p3' in database      <----
no record for 'mapper/mpath0p2' in database
no record for 'mapper/mpath0p3' in database
Starting kdump:                                            [  OK  ]


Version-Release number of selected component (if applicable):
kexec-tools-1.102pre-159.el5

How reproducible:
always

Expected results:
Make it a clearer message that won't confuse user.

Note You need to log in before you can comment on or make changes to this bug.